<?php
vc_map(array(
    "name" => 'CMS Button',
    "base" => "cms_button",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('CmsSuperheroes Shortcodes', 'botheme'),
    "description" => esc_html__('Show social from theme option', 'botheme'),
    "params" => array(
        array(
        	"type" => "textfield",
            "heading" => esc_html__("Title",'botheme'),
            "param_name" => "title",
            "value" => "",
            "admin_label" => true,
            "description" => esc_html__("Title",'botheme'),
        ),
        array(
        	'type' => 'vc_link',
            'heading' => esc_html__( 'URL (Link)', 'botheme' ),
            'param_name' => 'link',
            'description' => esc_html__( 'Add link to button.', 'botheme' ),
        ),
        array(
        	"type" => "dropdown",
        	"heading" => esc_html__("Type",'botheme'),
        	"param_name" => "btn_type",
        	"value" => array(
                'Default' => 'btn-default',
                'Primary' => 'btn-primary',
                'Second'  => 'btn-secondary',
                'Inverse' => 'btn-inverse',
                'White'   => 'btn-white',
            ),
            "std" => 'btn-default',
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__("Is Dark", 'botheme'),
            'param_name' => 'default_is_dark',
            'value' => array(
                'Yes' => true
            ),
            'dependency' => array(
                'element' => 'btn_type',
                'value' => array(
                    'btn-primary',
                ),
            ),
            'std' => false,
        ),
        array(
        	"type" => "dropdown",
        	"heading" => esc_html__("Size",'botheme'),
        	"param_name" => "size",
        	"value" => array(
                'Large' => 'btn-lg',
                'Medium' => 'btn-md',
                'Small' => 'btn-sm',
            ),
            "std" => 'btn-md',
            "description" => esc_html__( 'Select button size.', 'botheme' ),
        ),
        
        array(
        	"type" => "dropdown",
        	"heading" => esc_html__("Alignment",'botheme'),
        	"param_name" => "align",
        	"value" => array(
                'inline' => 'inline',
                'left' => 'left',
                'right' => 'right',
                'center' => 'center',
            ),
            "std" => 'inline',
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__("Set full width button?", 'botheme'),
            'param_name' => 'button_block',
            'value' => array(
                'Yes' => true
            ),
            'dependency' => array(
                'element' => 'align',
                'value' => array(
                    'left',
                    'right',
                    'center',
                ),
            ),
            'std' => false,
        ),
         
        array(
        	"type" => "textfield",
            "heading" => esc_html__("Class",'botheme'),
            "param_name" => "el_class",
            "value" => "",
            "description" => esc_html__("Class",'botheme'),
        ), 
        array(
        	'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'botheme' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'botheme' ),
        )
    )
));
class WPBakeryShortCode_cms_button extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}