<?php
vc_map(array(
    "name" => 'Cms Call To Action',
    "base" => "cms_call_to_action",
    "icon" => "cs_icon_for_vc",
    "category" =>  esc_html__('CmsSuperheroes Shortcodes', 'botheme'),
    "description" =>  '',
    "params" => array(
        
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'botheme'),
            "param_name" => "title",
        ), 
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Title color", 'botheme'),
            "param_name" => "title_color",
            "value" => "",
        ),
        array(
            "type" => "vc_link",
            "heading" => esc_html__("URL (Link)",'botheme'),
            "param_name" => "link",
            "value" => "",
        ),
        array(
            'type' => 'dropdown',
        	'heading' => esc_html__( 'Button type', 'botheme' ),
            'param_name' => 'button_type',
        	'value' => array(
        		esc_html__( 'Default', 'botheme' ) => 'btn btn-default',
        		esc_html__( 'Primary', 'botheme' ) => 'btn btn-primary',
        		esc_html__( 'White', 'botheme' ) => 'btn btn-white',
        	),
        	'std' => 'btn btn-primary',
        ), 
         
        array(
            'type' => 'dropdown',
        	'heading' => esc_html__( 'Button size', 'botheme' ),
            'param_name' => 'button_size',
        	'value' => array(
                esc_html__( 'Mini', 'botheme' ) => 'btn-xs',
                esc_html__( 'Small', 'botheme' ) => 'btn-sm',
                esc_html__( 'Medium', 'botheme' ) => 'btn-md',
        		esc_html__( 'Large', 'botheme' ) => 'btn-lg',
        	),
        	'std' => 'btn-lg',
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'botheme' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'botheme' ),
        ),
    )
));

class WPBakeryShortCode_cms_call_to_action extends CmsShortCode
{
    protected function content($atts, $content = null){
        $html_id = cmsHtmlID('cms-cta');
         
        $atts['html_id'] = $html_id; 
        return parent::content($atts, $content);
    }
  
}

?>