<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('be-post-single'); ?>>

	<?php bo_post_quote(); ?>
    <div class="entry-wrap">
    	<header class="entry-header">
    
    		<?php botheme_single_post_title( '<h3 class="entry-title">', '</h3>' ); ?>
    
    		<div class="entry-meta">
    
    			<?php bo_post_detail(); ?>
    
    		</div><!-- .entry-meta -->
    	</header><!-- .entry-header -->
    
    
    	<div class="entry-content">
    		<?php
    		/* translators: %s: Name of current post */
    		the_content( sprintf(
    			__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'botheme' ),
    			the_title( '<span class="screen-reader-text">', '</span>', false )
    		) );
    
    		wp_link_pages( array(
    			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'botheme' ) . '</span>',
    			'after'       => '</div>',
    			'link_before' => '<span>',
    			'link_after'  => '</span>',
    		) );
    		?>
    	</div><!-- .entry-content -->
        <?php bo_entry_footer(); ?>  
    </div>
</article><!-- #post-## -->
