<?php 
    /* get categories */
    $taxo = 'product_cat';
    $_category = array();
    if(!isset($atts['cat']) || $atts['cat']==''){
        $terms = get_terms($taxo);
        foreach ($terms as $cat){
            $_category[] = $cat->term_id;
        }
    } else {
        $_category  = explode(',', $atts['cat']);
    }
    $atts['categories'] = $_category;
    $word_number = !empty($atts['word_number']) ? $atts['word_number'] : '18';
    
    if(isset($atts['show_read_more']) && $atts['show_read_more']):
        //wp_enqueue_style( 'wp-mediaelement' );
        //wp_enqueue_script( 'wp-mediaelement' );
         
        wp_register_script( 'cms-loadmore-js', get_template_directory_uri().'/assets/js/cms_loadmore.js', array('jquery') ,'1.0',true);
        // What page are we on? And what is the pages limit?
        global $wp_query;
        $max = $wp_query->max_num_pages;
        $limit = $atts['limit'];
        $paged = ( get_query_var('paged') > 1 ) ? get_query_var('paged') : 1;
        // Add some parameters for the JS.
        $current_id =  str_replace('-','_',$atts['html_id']);
        wp_localize_script(
            'cms-loadmore-js',
            'cms_more_obj'.$current_id,
            array(
                'startPage' => $paged,
                'maxPages' => $max,
                'total' => $wp_query->found_posts,
                'perpage' => $limit,
                'nextLink' => next_posts($max, false),
                'masonry' => $atts['layout']
            )
        );
        wp_enqueue_script( 'cms-loadmore-js' ); 
    endif;
?>
<div class="cms-grid-wraper cms-grid-products woocommerce <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php if($atts['filter']=="true" && $atts['layout']=='masonry'):?>
        <div class="cms-grid-filter">
            <ul class="cms-filter-category list-unstyled list-inline text-center">
                <li><a class="active" href="#" data-group="all"><?php echo esc_html('All'); ?></a></li>
                <?php 
                if(is_array($atts['categories']))
                foreach($atts['categories'] as $category):?>
                    <?php $term = get_term( $category, $taxo );?>
                    <li><a href="#" data-group="<?php echo esc_attr('category-'.$term->slug);?>">
                            <?php echo esc_html($term->name);?>
                        </a>
                    </li>
                <?php endforeach;?>
            </ul>
        </div>
    <?php endif;?>
    <div class="row cms-grid shop-products-list <?php echo esc_attr($atts['grid_class']);?><?php echo (isset($atts['gray_light_bg']) && $atts['gray_light_bg'] == '1') ? ' gray-light-bg' : '';?> ">
        <?php
        $posts = $atts['posts'];
        $index = 1; 
        while($posts->have_posts()){
            $posts->the_post();
            $groups = array();
            $groups[] = '"all"';
            foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                $groups[] = '"category-'.$category->slug.'"';
            }
            
            $post_format= get_post_format();
            ?>
            <div class="cms-grid-item products <?php echo esc_attr($atts['item_class']);?> wow fadeIn" data-wow-delay="<?php echo ''.$index * 50 ?>ms" data-groups='[<?php echo implode(',', $groups);?>]'>
                <div class="product">
                    <?php 
                    do_action( 'woocommerce_before_shop_loop_item' );
                    do_action( 'woocommerce_before_shop_loop_item_title' );
                    echo '<div class="product-info clearfix">';
                        do_action( 'woocommerce_shop_loop_item_title' );
                        do_action( 'woocommerce_after_shop_loop_item_title' );
                    echo '</div>';
                    ?>
                </div>
            </div>
            <?php
            $index++;
        }
        ?>
    </div>
    <?php
    
    if(isset($atts['show_read_more']) && $atts['show_read_more'])
        echo '<div class="loadmore"><div class="cms_pagination grid-loadmore"></div></div>';
    if(isset($atts['show_patination']) && $atts['show_patination'])
        bo_paging_nav();
    
    ?>
</div>